Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5113)
@@ -120,5 +120,5 @@
 
   if (planet_type=="earth") then
-    ! ! earth case, special treatment for first 2 tracers (water)
+    ! earth case, special treatment for first 2 tracers (water)
     DO iq = 1, 2
       DO k = 1, llm
@@ -139,5 +139,5 @@
     ENDDO
   else
-    ! ! general case, treat all tracers equally)
+    ! general case, treat all tracers equally)
     DO iq = 1, nqtot
       DO k = 1, llm
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5113)
@@ -84,7 +84,7 @@
       ENDDO
 
-      ! !write(*,*) 'caladvtrac 87'
+      !write(*,*) 'caladvtrac 87'
       CALL qminimum(q, nqtot, finmasse)
-      ! !write(*,*) 'caladvtrac 89'
+      !write(*,*) 'caladvtrac 89'
 
       CALL SCOPY   (ip1jmp1 * llm, masse, 1, finmasse, 1)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90	(revision 5113)
@@ -69,39 +69,39 @@
   !--------------------------------
 
-  ! ! compute contravariant winds ucont() and vcont
+  ! compute contravariant winds ucont() and vcont
   CALL covcont  (llm, ucov, vcov, ucont, vcont)
-  ! ! compute pressure p()
+  ! compute pressure p()
   CALL pression (ip1jmp1, ap, bp, ps, p)
-  ! ! compute psexbarxy() XY-area weighted-averaged surface pressure (what for?)
+  ! compute psexbarxy() XY-area weighted-averaged surface pressure (what for?)
   CALL psextbar (ps, psexbarxy)
-  ! ! compute mass in each atmospheric mesh: masse()
+  ! compute mass in each atmospheric mesh: masse()
   CALL massdair (p, masse)
-  ! ! compute X and Y-averages of mass, massebx() and masseby()
+  ! compute X and Y-averages of mass, massebx() and masseby()
   CALL massbar  (masse, massebx, masseby)
-  ! ! compute XY-average of mass, massebxy()
+  ! compute XY-average of mass, massebxy()
   CALL massbarxy(masse, massebxy)
-  ! ! compute mass fluxes pbaru() and pbarv()
+  ! compute mass fluxes pbaru() and pbarv()
   CALL flumass  (massebx, masseby, vcont, ucont, pbaru, pbarv)
-  ! ! compute dteta() , horizontal converging flux of theta
+  ! compute dteta() , horizontal converging flux of theta
   CALL dteta1   (teta, pbaru, pbarv, dteta)
-  ! ! compute convm(), horizontal converging flux of mass
+  ! compute convm(), horizontal converging flux of mass
   CALL convmas  (pbaru, pbarv, convm)
 
-  ! ! compute pressure variation due to mass convergence
+  ! compute pressure variation due to mass convergence
   DO ij = 1, ip1jmp1
     dp(ij) = convm(ij, 1) / airesurg(ij)
   ENDDO
 
-  ! ! compute vertical velocity w()
+  ! compute vertical velocity w()
   CALL vitvert (convm, w)
-  ! ! compute potential vorticity vorpot()
+  ! compute potential vorticity vorpot()
   CALL tourpot (vcov, ucov, massebxy, vorpot)
-  ! ! compute rotation induced du() and dv()
+  ! compute rotation induced du() and dv()
   CALL dudv1   (vorpot, pbaru, pbarv, du, dv)
-  ! ! compute kinetic energy ecin()
+  ! compute kinetic energy ecin()
   CALL enercin (vcov, ucov, vcont, ucont, ecin)
-  ! ! compute Bernouilli function bern()
+  ! compute Bernouilli function bern()
   CALL bernoui (ip1jmp1, llm, phi, ecin, bern)
-  ! ! compute and add du() and dv() contributions from Bernouilli and pressure
+  ! compute and add du() and dv() contributions from Bernouilli and pressure
   CALL dudv2   (teta, pkf, bern, du, dv)
 
@@ -112,5 +112,5 @@
   ENDDO
 
-  ! ! compute vertical advection contributions to du(), dv() and dteta()
+  ! compute vertical advection contributions to du(), dv() and dteta()
   CALL advect(ang, vcov, teta, w, massebx, masseby, du, dv, dteta)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5113)
@@ -6,5 +6,5 @@
   use IOIPSL
   USE infotrac, ONLY: type_trac
-  use assert_m, only: assert
+  use lmdz_assert, only: assert
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
           iflag_top_bound, mode_top_bound, tau_top_bound, &
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90	(revision 5113)
@@ -39,5 +39,5 @@
   REAL, INTENT(IN) :: teta(ip1jmp1, llm) ! potential temperature
   REAL, INTENT(IN) :: p(ip1jmp1, llmp1) ! pressure
-  ! ! tendencies (.../s) on covariant winds and potential temperature
+  ! tendencies (.../s) on covariant winds and potential temperature
   REAL, INTENT(OUT) :: dv(ip1jm, llm)
   REAL, INTENT(OUT) :: du(ip1jmp1, llm)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5113)
@@ -12,5 +12,5 @@
   USE readTracFiles_mod, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
   USE control_mod, ONLY: planet_type
-  USE assert_eq_m, ONLY: assert_eq
+  USE lmdz_assert_eq, ONLY: assert_eq
   USE comvert_mod, ONLY: pa,preff
   USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa, lllm, omeg, rad
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5113)
@@ -45,5 +45,5 @@
 
   IF (firstcall) THEN
-    ! ! set friction type
+    ! set friction type
     CALL getin("friction_type", friction_type)
     if ((friction_type<0).or.(friction_type>1)) then
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90	(revision 5113)
@@ -8,5 +8,5 @@
      MODULE PROCEDURE getparamr,getparami,getparaml
    END INTERFACE
-   private getparamr,getparami,getparaml
+   PRIVATE getparamr,getparami,getparaml
 
    INTEGER, PARAMETER :: out_eff=99
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5113)
@@ -5,5 +5,5 @@
   use comconst_mod, only: ngroup
 
-  implicit none
+  IMPLICIT NONE
 
   !   sous-programme servant a fitlrer les champs de flux de masse aux
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5113)
@@ -924,5 +924,5 @@
     use serre_mod, only: clon, clat, grossismx, grossismy
     
-    implicit none
+    IMPLICIT NONE
 
     include "dimensions.h"
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90	(revision 5113)
@@ -6,5 +6,5 @@
         ktotal, iik, jjk, jk, ik, intersec, airen)
 
-  implicit none
+  IMPLICIT NONE
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5113)
@@ -46,5 +46,5 @@
   real, intent(inout) :: masse(ip1jmp1, llm) ! atmospheric mass
   real, intent(in) :: phis(ip1jmp1) ! ground geopotential !!! unused
-  ! ! values at previous time step
+  ! values at previous time step
   real, intent(inout) :: vcovm1(ip1jm, llm)
   real, intent(inout) :: ucovm1(ip1jmp1, llm)
@@ -52,5 +52,5 @@
   real, intent(inout) :: psm1(ip1jmp1)
   real, intent(inout) :: massem1(ip1jmp1, llm)
-  ! ! the tendencies to add
+  ! the tendencies to add
   real, intent(in) :: dv(ip1jm, llm)
   real, intent(in) :: du(ip1jmp1, llm)
@@ -100,5 +100,5 @@
       write(lunout, *) "integrd: negative surface pressure ", ps(ij)
       write(lunout, *) " at node ij =", ij
-      ! ! since ij=j+(i-1)*jjp1 , we have
+      ! since ij=j+(i-1)*jjp1 , we have
       j = modulo(ij, jjp1)
       i = 1 + (ij - j) / jjp1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5113)
@@ -294,5 +294,5 @@
 
   IF(purmats) THEN
-    ! ! Purely Matsuno time stepping
+    ! Purely Matsuno time stepping
     IF(MOD(itau, iconser) ==0.AND.  forward) conser = .TRUE.
     IF(MOD(itau, dissip_period)==0.AND..NOT.forward) &
@@ -301,5 +301,5 @@
             .and. physic) apphys = .TRUE.
   ELSE
-    ! ! Leapfrog/Matsuno time stepping
+    ! Leapfrog/Matsuno time stepping
     IF(MOD(itau, iconser) == 0) conser = .TRUE.
     IF(MOD(itau + 1, dissip_period)==0 .AND. .NOT. forward) &
@@ -320,5 +320,5 @@
   !   --------------------------------
 
-  ! ! compute geopotential phi()
+  ! compute geopotential phi()
   CALL geopot  (ip1jmp1, teta, pk, pks, phis, phi)
 
@@ -341,5 +341,5 @@
             p, masse, dq, teta, &
             flxw, pk)
-    ! !write(*,*) 'caladvtrac 346'
+    !write(*,*) 'caladvtrac 346'
 
     IF (offline) THEN
@@ -409,5 +409,5 @@
 
     IF (planet_type =="generic") THEN
-      ! ! AS: we make jD_cur to be pday
+      ! AS: we make jD_cur to be pday
       jD_cur = int(day_ini + itau / day_step)
     ENDIF
@@ -450,5 +450,5 @@
             ucov, vcov, teta, q, ps, &
             dufi, dvfi, dtetafi, dqfi, dpfi)
-    ! ! since addfi updates ps(), also update p(), masse() and pk()
+    ! since addfi updates ps(), also update p(), masse() and pk()
     CALL pression (ip1jmp1, ap, bp, ps, p)
     CALL massdair(p, masse)
@@ -486,5 +486,5 @@
 
     if (planet_type=="giant") then
-      ! ! add an intrinsic heat flux at the base of the atmosphere
+      ! add an intrinsic heat flux at the base of the atmosphere
       teta(:, 1) = teta(:, 1) + dtvr * aire(:) * ihf / cpp / masse(:, 1)
     endif
@@ -492,5 +492,5 @@
     CALL friction(ucov, vcov, dtvr)
 
-    ! ! Sponge layer (if any)
+    ! Sponge layer (if any)
     IF (ok_strato) THEN
       ! dufi(:,:)=0.
@@ -646,5 +646,5 @@
       ENDIF
 
-      ! ! Ehouarn: re-compute geopotential for outputs
+      ! Ehouarn: re-compute geopotential for outputs
       CALL geopot(ip1jmp1, teta, pk, pks, phis, phi)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5113)
@@ -41,7 +41,7 @@
   SAVE imprim
   DATA imprim /0/
-  ! !INTEGER ijb,ije
-  ! !INTEGER Index_pump(ij_end-ij_begin+1)
-  ! !INTEGER nb_pump
+  !INTEGER ijb,ije
+  !INTEGER Index_pump(ij_end-ij_begin+1)
+  !INTEGER nb_pump
   INTEGER :: ixt
 
@@ -113,13 +113,13 @@
   ENDIF
 
-  ! !write(*,*) 'qminimum 128'
+  !write(*,*) 'qminimum 128'
   if (niso > 0) then
-    ! ! CRisi: traiter de même les traceurs d'eau
-    ! ! Mais il faut les prendre à l'envers pour essayer de conserver la
-    ! ! masse.
-    ! ! 1) pompage dans le sol
-    ! ! On suppose que ce pompage se fait sans isotopes -> on ne modifie
-    ! ! rien ici et on croise les doigts pour que ça ne soit pas trop
-    ! ! génant
+    ! CRisi: traiter de même les traceurs d'eau
+    ! Mais il faut les prendre à l'envers pour essayer de conserver la
+    ! masse.
+    ! 1) pompage dans le sol
+    ! On suppose que ce pompage se fait sans isotopes -> on ne modifie
+    ! rien ici et on croise les doigts pour que ça ne soit pas trop
+    ! génant
     DO i = 1, ip1jmp1
       if (zx_pump(i)>0.0) then
@@ -128,10 +128,10 @@
     enddo !DO i = 1,ip1jmp1
 
-    ! ! 2) transfert de vap vers les couches plus hautes
-    ! !write(*,*) 'qminimum 139'
+    ! 2) transfert de vap vers les couches plus hautes
+    !write(*,*) 'qminimum 139'
     do k = 2, llm
       DO i = 1, ip1jmp1
         if (zx_defau_diag(i, k, 1)>0.0) then
-          ! ! on ajoute la vapeur en k
+          ! on ajoute la vapeur en k
           do ixt = 1, ntiso
             q(i, k, iqIsoPha(ixt, iq_vap)) = q(i, k, iqIsoPha(ixt, iq_vap)) &
@@ -139,5 +139,5 @@
                             * q(i, k - 1, iqIsoPha(ixt, iq_vap)) / q_follow(i, k - 1, 1)
 
-            ! ! et on la retranche en k-1
+            ! et on la retranche en k-1
             q(i, k - 1, iqIsoPha(ixt, iq_vap)) = &
                     q(i, k - 1, iqIsoPha(ixt, iq_vap)) &
@@ -160,6 +160,6 @@
 
 
-    ! ! 3) transfert d'eau de la vapeur au liquide
-    ! !write(*,*) 'qminimum 164'
+    ! 3) transfert d'eau de la vapeur au liquide
+    !write(*,*) 'qminimum 164'
     do k = 1, llm
       DO i = 1, ip1jmp1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5113)
@@ -114,5 +114,5 @@
   CALL massbar(masse, massebx, masseby)
 
-  ! ! compute zonal average of vcov and u
+  ! compute zonal average of vcov and u
   if (mode_top_bound>=2) then
     do l = 1, llm
@@ -146,5 +146,5 @@
   endif ! of if (mode_top_bound.ge.2)
 
-  ! ! compute zonal average of potential temperature, if necessary
+  ! compute zonal average of potential temperature, if necessary
   if (mode_top_bound>=3) then
     do l = 1, llm
@@ -162,5 +162,5 @@
 
   if (mode_top_bound>=1) then
-    ! ! Apply sponge quenching on vcov:
+    ! Apply sponge quenching on vcov:
     do l = 1, llm
       do i = 1, iip1
@@ -172,5 +172,5 @@
     enddo
 
-    ! ! Apply sponge quenching on ucov:
+    ! Apply sponge quenching on ucov:
     do l = 1, llm
       do i = 1, iip1
@@ -184,5 +184,5 @@
 
   if (mode_top_bound>=3) then
-    ! ! Apply sponge quenching on teta:
+    ! Apply sponge quenching on teta:
     do l = 1, llm
       do i = 1, iip1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5113)
@@ -89,5 +89,5 @@
      ENDDO
   ENDDO
-  ! ! CRisi: aussi pour les fils
+  ! CRisi: aussi pour les fils
   do ifils=1,tracers(iq)%nqDescen
     iq2=tracers(iq)%iqDescen(ifils)
@@ -143,5 +143,5 @@
   REAL :: u_mq(ip1jmp1,llm)
 
-  ! ! CRisi
+  ! CRisi
   REAL :: masseq(ip1jmp1,llm,nqtot),Ratio(ip1jmp1,llm,nqtot)
   INTEGER :: ifils,iq2 ! CRisi
@@ -361,5 +361,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  ! !write(*,*) 'vlsplt 326: iq,nqDesc(iq)=',iq,tracers(iq)%nqDescen
+  !write(*,*) 'vlsplt 326: iq,nqDesc(iq)=',iq,tracers(iq)%nqDescen
 
   do ifils=1,tracers(iq)%nqDescen
@@ -367,8 +367,8 @@
     DO l=1,llm
       DO ij=iip2,ip1jm
-        ! ! On a besoin de q et masse seulement entre iip2 et ip1jm
-        ! !masseq(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
+        ! On a besoin de q et masse seulement entre iip2 et ip1jm
+        !masseq(ij,l,iq2)=masse(ij,l,iq)*q(ij,l,iq)
   !           !Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
-        ! !Mvals: veiller a ce qu'on n'ait pas de denominateur nul
+        !Mvals: veiller a ce qu'on n'ait pas de denominateur nul
         masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
         if (q(ij,l,iq)>min_qParent) then
@@ -391,5 +391,5 @@
   DO l=1,llm
      DO ij=iip2+1,ip1jm
-        ! !MVals: veiller a ce qu'on ait pas de denominateur nul
+        !MVals: veiller a ce qu'on ait pas de denominateur nul
         new_m=max(masse(ij,l,iq)+u_m(ij-1,l)-u_m(ij,l),min_qMass)
         q(ij,l,iq)=(q(ij,l,iq)*masse(ij,l,iq)+ &
@@ -404,7 +404,7 @@
   ENDDO
 
-  ! ! retablir les fils en rapport de melange par rapport a l'air:
-  ! ! On calcule q entre iip2+1,ip1jm -> on fait pareil pour ratio
-  ! ! puis on boucle en longitude
+  ! retablir les fils en rapport de melange par rapport a l'air:
+  ! On calcule q entre iip2+1,ip1jm -> on fait pareil pour ratio
+  ! puis on boucle en longitude
   do ifils=1,tracers(iq)%nqDescen
     iq2=tracers(iq)%iqDescen(ifils)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5113)
@@ -159,5 +159,5 @@
     ENDDO
   ENDDO
-  ! ! CRisi: aussi pour les fils
+  ! CRisi: aussi pour les fils
   do ifils = 1, tracers(iq)%nqDescen
     iq2 = tracers(iq)%iqDescen(ifils)
@@ -171,5 +171,5 @@
     ENDDO
   enddo
-  ! !write(*,*) 'vlspltqs 183: fin de la routine'
+  !write(*,*) 'vlspltqs 183: fin de la routine'
 
 
@@ -212,5 +212,5 @@
   REAL :: u_mq(ip1jmp1, llm)
 
-  ! ! CRisi
+  ! CRisi
   REAL :: masseq(ip1jmp1, llm, nqtot), Ratio(ip1jmp1, llm, nqtot)
   INTEGER :: ifils, iq2 ! CRisi
@@ -452,5 +452,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  ! !write(*,*) 'vlspltqs 326: iq,nqChildren(iq)=',iq,
+  !write(*,*) 'vlspltqs 326: iq,nqChildren(iq)=',iq,
   ! &                 tracers(iq)%nqChildren
 
@@ -459,5 +459,5 @@
     DO l = 1, llm
       DO ij = iip2, ip1jm
-        ! ! On a besoin de q et masse seulement entre iip2 et ip1jm
+        ! On a besoin de q et masse seulement entre iip2 et ip1jm
         masseq(ij, l, iq2) = masse(ij, l, iq) * q(ij, l, iq)
         Ratio(ij, l, iq2) = q(ij, l, iq2) / q(ij, l, iq)
@@ -488,7 +488,7 @@
   ENDDO
 
-  ! ! retablir les fils en rapport de melange par rapport a l'air:
-  ! ! On calcule q entre iip2+1,ip1jm -> on fait pareil pour ratio
-  ! ! puis on boucle en longitude
+  ! retablir les fils en rapport de melange par rapport a l'air:
+  ! On calcule q entre iip2+1,ip1jm -> on fait pareil pour ratio
+  ! puis on boucle en longitude
   do ifils = 1, tracers(iq)%nqDescen
     iq2 = tracers(iq)%iqDescen(ifils)
@@ -758,5 +758,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  ! !write(*,*) 'vlyqs 689: iq,nqChildren(iq)=',iq,
+  !write(*,*) 'vlyqs 689: iq,nqChildren(iq)=',iq,
   ! &              tracers(iq)%nqChildren
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5113)
@@ -2,5 +2,5 @@
 
 subroutine wrgrads(if, nl, field, name, titlevar)
-  implicit none
+  IMPLICIT NONE
 
   !   Declarations
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/com_io_dyn_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/com_io_dyn_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/com_io_dyn_mod.F90	(revision 5113)
@@ -4,5 +4,5 @@
 module com_io_dyn_mod
 
-  implicit none 
+  IMPLICIT NONE
 
 ! Names of various files for outputs (in the dynamics)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/conf_dat_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/conf_dat_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/conf_dat_m.F90	(revision 5113)
@@ -24,5 +24,5 @@
 !  * interbar is TRUE for barycentric interpolation.
 !-------------------------------------------------------------------------------
-  USE assert_eq_m, ONLY: assert_eq
+  USE lmdz_assert_eq, ONLY: assert_eq
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
@@ -128,5 +128,5 @@
 !  * interbar is TRUE for barycentric interpolation.
 !-------------------------------------------------------------------------------
-  USE assert_eq_m, ONLY: assert_eq
+  USE lmdz_assert_eq, ONLY: assert_eq
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5113)
@@ -5,5 +5,5 @@
   use ioipsl, only: getin
   use new_unit_m, only: new_unit
-  use assert_m, only: assert
+  use lmdz_assert, only: assert
   USE comvert_mod, ONLY: ap, bp, aps, bps, nivsigs, nivsig, dpres, presnivs, &
                          pseudoalt, pa, preff, scaleheight, presinter
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90	(revision 5113)
@@ -295,5 +295,5 @@
 
 
-  implicit none
+  IMPLICIT NONE
   real :: x1, x2, sig,pa,preff, newsig, F
   integer :: j
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5113)
@@ -18,5 +18,5 @@
     ! 1., taux=0., clon=0.) est à - 180 degrés.
 
-    use arth_m, only: arth
+    use lmdz_arth, only: arth
     use invert_zoom_x_m, only: invert_zoom_x, nmax
     use nrtype, only: pi, pi_d, twopi, twopi_d, k8
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90	(revision 5113)
@@ -3,5 +3,5 @@
 
 SUBROUTINE gr_int_dyn(champin,champdyn,iim,jp1)
-  implicit none
+  IMPLICIT NONE
   !=======================================================================
   !   passage d'un champ interpole a un champ sur grille scalaire
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90	(revision 5113)
@@ -5,5 +5,5 @@
         , dt, file, titlel)
 
-  implicit none
+  IMPLICIT NONE
 
   integer :: if, im, jm, lm, i, j, l
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5113)
@@ -11,5 +11,5 @@
   USE temps_mod, ONLY: itau_dyn
   
-  implicit none
+  IMPLICIT NONE
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5113)
@@ -11,5 +11,5 @@
   USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn
 
-  implicit none
+  IMPLICIT NONE
 
   !
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90	(revision 5113)
@@ -11,5 +11,5 @@
   USE temps_mod, ONLY: itau_dyn
 
-  implicit none
+  IMPLICIT NONE
 
   !
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5113)
@@ -6,7 +6,7 @@
   ! Authors: Robert SADOURNY, Phu LE VAN, Lionel GUEZ
 
-  implicit none
-
-  private
+  IMPLICIT NONE
+
+  PRIVATE
   public inter_barxy
 
@@ -15,6 +15,6 @@
   SUBROUTINE inter_barxy(dlonid, dlatid, champ, rlonimod, rlatimod, champint)
 
-    use assert_eq_m, only: assert_eq
-    use assert_m, only: assert
+    use lmdz_assert_eq, only: assert_eq
+    use lmdz_assert, only: assert
 
     include "dimensions.h"
@@ -117,5 +117,5 @@
     !      ( Les abscisses sont exprimees en degres)
 
-    use assert_eq_m, only: assert_eq
+    use lmdz_assert_eq, only: assert_eq
 
     IMPLICIT NONE
@@ -299,5 +299,5 @@
     ! L'indice 1 correspond à l'interface maille 1 -- maille 2.
 
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
 
     IMPLICIT NONE
@@ -373,5 +373,5 @@
     ! Finally, the procedure adds 90° as the last value of the array.
 
-    use assert_eq_m, only: assert_eq
+    use lmdz_assert_eq, only: assert_eq
     use comconst_mod, only: pi
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpost.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpost.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpost.f90	(revision 5113)
@@ -4,5 +4,5 @@
   SUBROUTINE interpost(q,qppm)
 
-   implicit none
+   IMPLICIT NONE
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpre.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpre.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpre.f90	(revision 5113)
@@ -9,5 +9,5 @@
   USE comvert_mod, ONLY: ap, bp
 
-   implicit none
+   IMPLICIT NONE
 
   include "dimensions.h"
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module invert_zoom_x_m
 
-  implicit none
+  IMPLICIT NONE
 
   INTEGER, PARAMETER:: nmax = 30000
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90	(revision 5113)
@@ -1,12 +1,12 @@
   function iso_verif_noNaN_nostop(x,err_msg)
-    implicit none
-    ! ! si x est NaN, on affiche message
-    ! ! d'erreur et return 1 si erreur
+    IMPLICIT NONE
+    ! si x est NaN, on affiche message
+    ! d'erreur et return 1 si erreur
 
-    ! ! input:
+    ! input:
     real :: x
     character(len=*) :: err_msg ! message d''erreur à afficher
 
-    ! ! output
+    ! output
     real :: borne
     parameter (borne=1e19)
@@ -27,14 +27,14 @@
   function iso_verif_egalite_nostop &
           (a,b,err_msg)
-    implicit none
-    ! ! compare a et b. Si pas egal, on affiche message
-    ! ! d'erreur et stoppe
-    ! ! pour egalite, on verifie erreur absolue et arreur relative
+    IMPLICIT NONE
+    ! compare a et b. Si pas egal, on affiche message
+    ! d'erreur et stoppe
+    ! pour egalite, on verifie erreur absolue et arreur relative
 
-    ! ! input:
+    ! input:
     real :: a, b
     character(len=*) :: err_msg ! message d''erreur à afficher
 
-    ! ! locals
+    ! locals
     real :: errmax ! erreur maximale en absolu.
     real :: errmaxrel ! erreur maximale en relatif autorisée
@@ -42,5 +42,5 @@
     parameter (errmaxrel=1e-3)
 
-    ! ! output
+    ! output
     integer :: iso_verif_egalite_nostop
 
@@ -65,12 +65,12 @@
           (x,iso,q,err_msg)
     USE infotrac, ONLY: isoName, getKey
-    implicit none
+    IMPLICIT NONE
 
-    ! ! input:
+    ! input:
     real :: x,q
     integer :: iso ! 2=HDO, 1=O18
     character(len=*) :: err_msg ! message d''erreur à afficher
 
-    ! ! locals
+    ! locals
     real :: qmin,deltaD
     real :: deltaDmax,deltaDmin,tnat
@@ -78,10 +78,10 @@
     parameter (deltaDmax=200.0,deltaDmin=-999.9)
 
-    ! ! output
+    ! output
     integer :: iso_verif_aberrant_nostop
 
     iso_verif_aberrant_nostop=0
 
-    ! ! verifier que HDO est raisonable
+    ! verifier que HDO est raisonable
      if (q>qmin) then
          IF(getKey('tnat', tnat, isoName(iso))) THEN
